<div class="wallet-detail-header d-flex justify-content-center align-items-center flex-column pt-2 pb-3">
  <h1 class="cursor-pointer" (click)="openUpdateBasicInfoWalletDialog()">{{wallet.name}}
    <mat-icon class="icon-setting">expand_more</mat-icon>
  </h1>
  <span class="wallet-detail--amount cursor-pointer" (click)="openAdjustBalanceWalletDialog()">
  {{wallet.amount | currency: wallet.currencyCode : 'symbol':'0.2-2'}} <mat-icon
    class="icon-setting">expand_more</mat-icon>
</span>
</div>
<div class="wallet-detail-header" [ngClass]="{'sticky-header': stickyHeader}">
  <div class="main-wrapper">
    <div class="data-range text-center d-flex align-items-center font-weight-bold">
      <button mat-button class="range" (click)="changeDataRange(this.range[0])">
        {{this.range[0] | date: 'MM/yyyy'}}
      </button>
      <button mat-button class="range range-middle">
        {{this.range[1] | date: 'MM/yyyy'}}
      </button>
      <button mat-button class="range" (click)="changeDataRange(this.range[2])">
        {{this.range[2] | date: 'MM/yyyy'}}
      </button>
    </div>
  </div>
</div>

<div class="main-wrapper d-flex flex-row mt-3 justify-content-between">
  <div class="change-control-button main-wrapper bg-white shadow d-flex align-items-center flex-row"
       (click)="openCreateChangeDialog()">
    <i class="change-control-button--icon fa fa-plus-circle d-flex justify-content-center"></i>
    <span class="w-80 font-weight-bold">
    Add transaction
  </span>
  </div>
  <div class="change-control-button main-wrapper bg-white shadow d-flex align-items-center flex-row"
       (click)="openSpendLimitDialog()">
    <i class="change-control-button--icon coins-icon fas fa-coins d-flex justify-content-center"></i>
    <span class="w-80 font-weight-bold">
    Spend limit
  </span>
  </div>
</div>

<div *ngIf="reachSpendLimit.reachLimit" class="warn-section cursor-pointer main-wrapper shadow mt-3 mb-3 p-3"
     (click)="openSpendLimitDialog()">
  <span class="text-center font-weight-bold">You are spending too fast! Slow down!</span>
</div>

<div class="main-wrapper mt-3">
  <div *ngIf="changes.length === 0" class="text-center">
    <span class="gray-notice">No transaction.</span>
  </div>
  <div *ngIf="changes.length > 0">

    <div class="bg-white shadow p-3 mb-3">
      <span class="block-title border-bottom">Overview</span>
      <div class="mt-3">
        <span class="font-weight-bold">Inflow</span>
        <span class="income-color float-right font-weight-bold">{{inflow | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
        <br>
        <span class="font-weight-bold">Outflow</span>
        <span class="spending-color float-right font-weight-bold">{{outflow | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
      </div>
      <div class="d-flex">
          <span class="summary-report text-right ml-auto border-top  font-weight-bold"
                [ngClass]="{'spending-color': inflow - outflow < 0, 'income-color': inflow - outflow >= 0}">
            {{sumFlow | currency: wallet.currencyCode : 'symbol':'0.2-2'}}
          </span>
      </div>
      <span class="view-report-link font-weight-bold d-flex justify-content-center"
            (click)="openStatisticDialog()">
        View report of this month
      </span>
    </div>

    <div class="bg-white shadow mb-3 pt-3 pb-3"
         *ngFor="let changeBlock of changes | groupBy: 'changeTime'">
      <div class="border-bottom pl-3 pr-3 pb-3 d-flex align-items-center">
        <span class="changeBlock--day">{{changeBlock.key | date: 'dd'}}</span>
        <div class="ml-2">
          <span class="changeBlock--weekday font-weight-bold">{{changeBlock.key | date: 'EEEE'}}</span>
          <div class="small">
            <span class="changeBlock--month">{{changeBlock.key | date: 'MMMM'}}</span>
            <span class="changeBlock--year ml-1 ">{{changeBlock.key | date: 'yyyy'}}</span>
          </div>
        </div>
        <span class="ml-auto font-weight-bold block-sum-amount">
          {{sumBlockAmount(changeBlock.value) | currency: wallet.currencyCode : 'symbol':'0.2-2'}}</span>
      </div>
      <div *ngFor="let change of changeBlock.value"
           class="change-item d-flex align-items-center" (click)="openUpdateChangeDialog(change)">
        <div class="change-icon d-flex justify-content-center">
          <img src="../../../assets/icon/{{change.category.thumbnail}}"/>
        </div>
        <div class="change-info text-truncate">
          <span class="change--name d-block">{{change.category.name}}</span>
          <span class="change--note"> {{change.note}}</span>
        </div>
        <div class="change-amount">
        <span class="float-right mr-2"
              [ngClass]="{'spending-color': change.category.changeType === 'SPENDING', 'income-color': change.category.changeType === 'INCOME'}">
          {{change.amount | currency: wallet.currencyCode : 'symbol':'0.2-2'}}
        </span>
        </div>
      </div>
    </div>
  </div>
</div>
